Перейти до вмісту
AstroWay/api v2.95.1 · docs
усі системи в нормі

MCP Agent Debate

POST
/mcp/agent-debate
request.sh
curl -X POST https://api.astroway.info/v1/mcp/agent-debate \
-H "X-Api-Key: aw_live_..." \
-H "Content-Type: application/json" \
-d '{ "topic": "Is the Saturn return a crisis or a rite of passage?", "agentA": "classical", "agentB": "modern", "rounds": 2 }'

2 personas debate a topic, multi-round transcript.

Media type application/json
object
topic required
string
>= 4 characters <= 800 characters
agentA required
string
agentB required
string
rounds
integer
default: 2 >= 1 <= 4
chart

Birth data for a single natal chart. Required: date (YYYY-MM-DD), time (HH:mm:ss). Defaults to lat/lon/tz=0 if omitted; pass real values for accurate computation.

object
date required
string
/^\d{4}-\d{2}-\d{2}$/
time required
string
/^\d{2}:\d{2}:\d{2}$/
timezoneOffset
number
0 nullable
latitude
number
0 nullable
longitude
number
0 nullable
houseSystem
string
default: P
name
string
""
city
string
""
zodiacType
string
Allowed values: tropical sidereal
ayanamsaId
number
nullable
cosmogram
boolean
key additional
nullable
language
string
default: en
Allowed values: uk en ru es pl de fr it pt
Example
{
"topic": "Is the Saturn return a crisis or a rite of passage?",
"agentA": "classical",
"agentB": "modern",
"rounds": 2
}

Successful calculation

Media type application/json
object
ok
boolean
data
object
transcript
Array
nullable
Example
{
"ok": true
}

Validation error

Media type application/json
Example
{
"ok": false,
"error": {
"code": "INVALID_INPUT",
"message": "Validation failed: date: Date must be YYYY-MM-DD",
"details": [
{
"path": "date",
"message": "Date must be YYYY-MM-DD"
}
]
}
}

Missing or invalid API key

Media type application/json
Example
{
"ok": false,
"error": {
"code": "INVALID_API_KEY",
"message": "Invalid API key"
}
}
Корисно?